//首页轮播定时器
var main_lunbo_timer = '';

//首页轮播初始化
function main_lunbo_init(){
    if (2 > $("#lunbo_box >dd").length) {
        return true;
    }
    $("#lunbo_point > a").click(function() {
        if($(this).hasClass('current')){
            return true;
        }else{
            $(this).addClass("current").siblings("a").removeClass("current");
        }
                   
        $("#lunbo_box >dd:eq(" + (parseInt($(this).text()) - 1) + ")").css('z-index','20').fadeIn('300').siblings("dd").css('z-index','10').fadeOut('300');
    })
                
    main_lunbo_timer = setInterval("main_lunbo_auto()", 2000);
                
    $("#lunbo_box >dd").bind("mouseover", function() {
        clearInterval(main_lunbo_timer);
    }).bind("mouseout", function() {
        main_lunbo_timer = setInterval("main_lunbo_auto()", 2000);
    })
}
 
//首页轮播切换
function main_lunbo_auto() {
    var lunbonum = $("#lunbo_box >dd").length;
    var pagethis = $("#lunbo_point > a[class='current']").text();
    if (lunbonum == pagethis) {
        pagethis = 0;
    }
    $("#lunbo_point > a:eq(" + pagethis + ")").click();
}
    
//首页活动状态切换
function main_act_tap() {
    $("#act_index li a").click(function () {
      
        if ($(this).parent('li').hasClass('current')) {
          
            return true;
        } else {
            $(this).parent('li').addClass("current").siblings("li").removeClass("current");
            $("#act_" + $(this).parent("li").attr("data-type")).show().siblings("ul").hide();
          
        }
       
        var huodong_type = $(this).parent("li").attr("huodong_type"); //获取当前活动标签(进行中或已结束等)
      
        var data_ul = "act_" + $(this).parent("li").attr("data-type"); //获取当前标签的ul的id
      
        //$("#" + data_ul + "  li").remove(); //移除当前ul下之前的li
        window.location.href = "/huodong/" + huodong_type + ".html";
       


    });
}


//倒计时数组(剩余时间),定时器ID数组
var hd_rest_time = {},hd_rest_interval = {};
function huodong_countdown(rest_second,hd_id){
    hd_rest_time[hd_id] = rest_second;
    clearInterval(hd_rest_interval[hd_id]);
    function rest_str(){
        if(0 == hd_rest_time[hd_id]){
            location.reload();
            return true;
        }
        //计算出相差天数
        var days=Math.floor(hd_rest_time[hd_id]/(24*3600));
    
        //计算出小时数
        var leave1=hd_rest_time[hd_id]%(24*3600); //计算天数后剩余的秒数
        var hours=Math.floor(leave1/3600);
    
        //计算相差分钟数
        var leave2=leave1%3600;        //计算小时数后剩余的秒数
        var minutes=Math.floor(leave2/60);
    
        //计算相差秒数
        var leave3=leave2%60      //计算分钟数后剩余的秒数
        var seconds=Math.round(leave3);
        hd_rest_time[hd_id] = hd_rest_time[hd_id] - 1;
            
        var str_time = '';
        if(days){
            str_time += "<em>"+days+"</em>天";
        }
        str_time += "<em>"+hours+"</em>小时<em>"+minutes+"</em>分钟<em>"+seconds+"</em>秒";
        
        $("#hd_rest_time_"+hd_id).html(str_time);
    }
        
    //setInterval 会延后1秒运行，故页面完成后，执行一次
    rest_str();
    
    //设置Timer ID 方便切换时候清理定时器
    hd_rest_interval[hd_id] = setInterval(rest_str,1000);
}

//返回顶部
function huodong_to_top(){
    if(1 != $("#back_to_top").attr('alt')){
        return false;
    }
    $(window).scroll(function(){
        if ($(window).scrollTop()>100){
            $("#back_to_top").fadeIn(1500);
        }
        else
        {
            $("#back_to_top").fadeOut(1500);
        }
    });
    $("#back_to_top").click(function(){
        $('body,html').animate({
            scrollTop:0
        },1000);
        return false;
    });
}


$(function(){

    //详细页面滚动
    huodong_scroll("detail_scroll",0);
    
    //返回顶部
    huodong_to_top();
    
    //动作统计
    huodong_stat_init();
});

var initScrollHd = {};
//详细页面滚动
function huodong_scroll(tag_names ,fixHeight){
    $("#"+tag_names).hover(function(){
        clearInterval(initScrollHd[tag_names]);
    },function(){
        initScrollHd[tag_names] = setInterval(function(){
            var $ul = $("#"+tag_names+" ul");
            var liHeight = $ul.find("li:last").height();
            $ul.animate({
                marginTop : liHeight + parseInt(fixHeight) + "px"
            },1000,function(){
                $ul.find("li:last").prependTo($ul)
                $ul.find("li:first").hide();
                $ul.css({
                    marginTop:0
                });
                $ul.find("li:first").fadeIn(1000);
            });
        },4000);
    }).trigger("mouseleave");
    return true;
}

//参加活动
function huodong_join(hd_id,token){
    $.post("/ajax-joinhd/", {
        hd_id:hd_id,
        token:token
    },function(data){
        if(9==data){
            $("#js_join_btn").removeClass('join_btn').addClass('ycj_btn').removeAttr('onclick');
        }else if(1==data){
            window.location.href = 'http://passport.51.com/passport.5p?gourl='+encodeURIComponent(document.URL);
        }else {
            alert('服务器繁忙,请稍后再试!');
        }
    }, 'text');
}


function huodong_stat_init(){
    $("#lunbo_box dd a").click(function(){
        huodong_stat($(this).attr('alt'), '首页轮播广告点击');
    });
    $("#my_act_stat li a").click(function(){
        huodong_stat('我参加的活动点击', '个人区域');
    })
    $("#my_act_stat").siblings("h5").children("a").click(function(){
        huodong_stat('更多参加的活动点击', '个人区域');
    });
    $("#new_act_stat li a").click(function(){
        huodong_stat('推荐的活动点击', '个人区域');
    });
    
    $(".act_index_box .act_list ul li .box1 a").click(function(event){
        huodong_stat('活动点击', '首页列表');
        stopBubble(event); 
    });
    
    $(".act_index_right").children().click(function(){
        huodong_stat($(this).attr('alt')+'点击', '页面右侧');
    });
   
}

function huodong_stat(key, c3){
    var unique = (function () {  
        var time= (new Date()).getTime()+'-', i=0;  
        return function () {  
            return time + (i++);  
        }  
    })();  
      
    var imgLog = function (url) {  
        var data = window['imgLogData'] || (window['imgLogData'] = {});  
        var img = new Image();  
        var uid = unique();  
        img.onload = img.onerror = function () {//销毁一些对象  
            img.onload = img.onerror = null;  
            img = null;  
            delete data[uid];  
        }  
        img.src = url + '&_uid=' + uid;  
    };  
    
    var c2 = '活动中心改版';
    var src = 'http://huodong.51.com/ajax-dssport/?key_name='+encodeURIComponent(key)+'&c2='+encodeURIComponent(c2)+'&c3='+encodeURIComponent(c3);
    imgLog(src);
    return true;
}

//阻止冒泡事件  
function stopBubble(e) {  
    if (e && e.stopPropagation) {//非IE  
        e.stopPropagation();  
    }  
    else {//IE  
        window.event.cancelBubble = true;  
    }  
}  

function alertObject(obj){
    var objStr=""; 
    for(var i in obj) 
        objStr += "\n "+i +": " + obj[i] ;  
    alert(objStr);
}
//end